## golang-k8s-sigs-kustomize-kyaml 0.18.1%2Bds

=== debian/changelog ===
golang-k8s-sigs-kustomize-kyaml (0.18.1+ds-2) unstable; urgency=medium

  * Source-only upload for migration
  * d/control: Fix Vcs Browser and Git URLs

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 28 Jan 2025 23:41:43 +0000

golang-k8s-sigs-kustomize-kyaml (0.18.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1090320)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 16 Dec 2024 18:09:35 +0000

## golang-k8s-sigs-kustomize-kyaml 0.19.0%2Bds

=== kyaml/Makefile ===
# Copyright 2019 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

MYGOBIN = $(shell go env GOBIN)
ifeq ($(MYGOBIN),)
MYGOBIN = $(shell go env GOPATH)/bin
endif
export PATH := $(MYGOBIN):$(PATH)

include ../Makefile-tools.mk

.PHONY: generate fix vet fmt test lint tidy clean

$(MYGOBIN)/k8scopy:
	( cd ../cmd/k8scopy; go install . )

all: generate fix vet fmt test lint tidy

k8sGenDir := yaml/internal/k8sgen/pkg

generate: $(MYGOBIN)/stringer $(MYGOBIN)/k8scopy
	go generate ./...

clean:
	rm -rf $(k8sGenDir)

lint: $(MYGOBIN)/golangci-lint
	$(MYGOBIN)/golangci-lint \
	  run ./... \
	  --path-prefix=kyaml \
	  -c ../.golangci.yml \
	  --skip-dirs yaml/internal/k8sgen/pkg \
	  --skip-dirs internal/forked

test:
	go test -race -v -cover ./...

fix:
	go fix ./...

fmt:
	go fmt $(shell go list ./... | grep -v "/kyaml/internal/forked/github.com/go-yaml/yaml")

tidy:
	go mod tidy

vet:
	go vet $(shell go list ./... | grep -v "/kyaml/internal/forked/github.com/go-yaml/yaml")

build:
	go build -v ./...

## golang-k8s-sigs-kustomize-kyaml 0.18.1+ds

=== debian/control ===
Source: golang-k8s-sigs-kustomize-kyaml
Section: golang
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-go-errors-errors-dev,
               golang-github-google-gnostic-models-dev,
               golang-github-google-go-cmp-dev,
               golang-github-monochromegane-go-gitignore-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xlab-treeprint-dev,
               golang-starlark-dev,
               golang-golang-x-sys-dev,
               golang-google-protobuf-dev,
               golang-k8s-kube-openapi-dev,
               golang-k8s-sigs-yaml-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-kustomize-kyaml
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-kustomize-kyaml.git
Homepage: https://github.com/kubernetes-sigs/kustomize
XS-Go-Import-Path: sigs.k8s.io/kustomize

Package: golang-k8s-sigs-kustomize-kyaml-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-davecgh-go-spew-dev,
         golang-github-go-errors-errors-dev,
         golang-github-google-gnostic-models-dev,
         golang-github-google-go-cmp-dev,
         golang-github-monochromegane-go-gitignore-dev,
         golang-github-sergi-go-diff-dev,
         golang-github-spf13-cobra-dev,
         golang-github-stretchr-testify-dev,
         golang-github-xlab-treeprint-dev,
         golang-starlark-dev,
         golang-golang-x-sys-dev,
         golang-google-protobuf-dev,
         golang-k8s-kube-openapi-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends}
Description: Reading and writing Kubernetes Resource configuration as YAML (library)
 The kyaml library provides tools for reading and writing Kubernetes Resource
 configurations in YAML format. You can handle individual resources using the
 YAML package.

## golang-k8s-sigs-kustomize-kyaml 0.20.1+ds

=== Makefile ===
# Copyright 2019 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0
#
# Makefile for kustomize CLI and API.

LATEST_RELEASE=v5.7.0

SHELL := /usr/bin/env bash
GOOS = $(shell go env GOOS)
GOARCH = $(shell go env GOARCH)
MYGOBIN = $(shell go env GOBIN)
ifeq ($(MYGOBIN),)
MYGOBIN = $(shell go env GOPATH)/bin
endif
export PATH := $(MYGOBIN):$(PATH)

# Provide defaults for REPO_OWNER and REPO_NAME if not present.
# Typically these values would be provided by Prow.
ifndef REPO_OWNER
REPO_OWNER := "kubernetes-sigs"
endif

ifndef REPO_NAME
REPO_NAME := "kustomize"
endif


# --- Plugins ---
include Makefile-plugins.mk


# --- Tool management ---
include Makefile-tools.mk

.PHONY: install-tools
install-tools: \
	install-local-tools \
	install-out-of-tree-tools

.PHONY: uninstall-tools
uninstall-tools: \
	uninstall-local-tools \
	uninstall-out-of-tree-tools

.PHONY: install-local-tools
install-local-tools: \
	$(MYGOBIN)/gorepomod \
	$(MYGOBIN)/k8scopy \
	$(MYGOBIN)/pluginator

.PHONY: uninstall-local-tools
uninstall-local-tools:
	rm -f $(MYGOBIN)/gorepomod
	rm -f $(MYGOBIN)/k8scopy
	rm -f $(MYGOBIN)/pluginator

# Build from local source.
$(MYGOBIN)/gorepomod:
	cd cmd/gorepomod && go install .

# Build from local source.
$(MYGOBIN)/k8scopy:
	cd cmd/k8scopy && go install .

# Build from local source.
$(MYGOBIN)/pluginator:
	cd cmd/pluginator && go install .


# --- Build targets ---

# Build from local source.
$(MYGOBIN)/kustomize: build-kustomize-api
	cd kustomize && go install -ldflags \
	"-X sigs.k8s.io/kustomize/api/provenance.buildDate=$(shell date -u +'%Y-%m-%dT%H:%M:%SZ') \
	 -X sigs.k8s.io/kustomize/api/provenance.version=$(shell git describe --tags --always --dirty)" \
	.

kustomize: $(MYGOBIN)/kustomize

# Used to add non-default compilation flags when experimenting with
# plugin-to-api compatibility checks.
.PHONY: build-kustomize-api
build-kustomize-api: $(MYGOBIN)/goimports $(builtinplugins)
	cd api && $(MAKE) build

.PHONY: generate-kustomize-api
generate-kustomize-api:
	cd api && $(MAKE) generate


# --- Verification targets ---
.PHONY: verify-kustomize-repo
verify-kustomize-repo: \
	install-tools \
	lint \
	check-license \
	test-unit-all \
	build-non-plugin-all \
	test-go-mod \
	test-examples-kustomize-against-HEAD \
	test-examples-kustomize-against-latest-release

# The following target referenced by a file in
# https://github.com/kubernetes/test-infra/tree/master/config/jobs/kubernetes-sigs/kustomize
.PHONY: prow-presubmit-check
prow-presubmit-check: \
	install-tools \
	workspace-sync \
	generate-kustomize-builtin-plugins \
	builtin-plugins-diff \
	test-unit-kustomize-plugins \
	test-go-mod \
	build-non-plugin-all \
	test-examples-kustomize-against-HEAD \
	test-examples-kustomize-against-latest-release

.PHONY: license
license: $(MYGOBIN)/addlicense
	./hack/add-license.sh run

.PHONY: check-license
check-license: $(MYGOBIN)/addlicense
	./hack/add-license.sh check

.PHONY: lint
lint: $(MYGOBIN)/golangci-lint $(MYGOBIN)/goimports $(builtinplugins)
	./hack/for-each-module.sh "make lint"

.PHONY: apidiff
apidiff: $(MYGOBIN)/go-apidiff ## Run the go-apidiff to verify any API differences compared with origin/master
	go-apidiff master --compare-imports --print-compatible --repo-path=.

.PHONY: test-unit-all
test-unit-all: \
	test-unit-non-plugin \
	test-unit-kustomize-plugins

# This target is used by our Github Actions CI to run unit tests for all non-plugin modules in multiple GOOS environments.
.PHONY: test-unit-non-plugin
test-unit-non-plugin:
	./hack/for-each-module.sh "make test" "./plugin/*" 20

.PHONY: build-non-plugin-all
build-non-plugin-all:
	./hack/for-each-module.sh "make build" "./plugin/*" 20

.PHONY: test-unit-kustomize-plugins
test-unit-kustomize-plugins: build-kustomize-external-go-plugin
	./hack/testUnitKustomizePlugins.sh

.PHONY: functions-examples-all
functions-examples-all:
	for dir in $(abspath $(wildcard functions/examples/*/.)); do \
		echo -e "\n---Running make tasks for function $$dir---"; \
		set -e; \
		cd $$dir; $(MAKE) all; \
	done

test-go-mod:
	./hack/for-each-module.sh "go mod tidy -v"

.PHONY:
verify-kustomize-e2e: $(MYGOBIN)/mdrip $(MYGOBIN)/kind
	( \
		set -e; \
		/bin/rm -f $(MYGOBIN)/kustomize; \
		echo "Installing kustomize from ."; \
		cd kustomize; go install .; cd ..; \
		./hack/testExamplesE2EAgainstKustomize.sh .; \
	)

.PHONY:
test-examples-kustomize-against-HEAD: $(MYGOBIN)/kustomize $(MYGOBIN)/mdrip
	./hack/testExamplesAgainstKustomize.sh HEAD

.PHONY:
test-examples-kustomize-against-latest-release: $(MYGOBIN)/mdrip
	./hack/testExamplesAgainstKustomize.sh v5@$(LATEST_RELEASE)

# Pushes dependencies in the go.work file back to go.mod files of each workspace module.
.PHONY: workspace-sync
workspace-sync:
	go work sync
	./hack/doGoMod.sh tidy
	
# --- Cleanup targets ---
.PHONY: clean
clean: clean-kustomize-external-go-plugin uninstall-tools
	go clean --cache
	rm -f $(builtinplugins)
	rm -f $(MYGOBIN)/kustomize

# Nuke the site from orbit.  It's the only way to be sure.
.PHONY: nuke
nuke: clean
	go clean --modcache

=== debian/changelog ===
golang-k8s-sigs-kustomize-kyaml (0.20.1+ds-1) unstable; urgency=medium

  * New upstream version 0.20.1+ds
  * d/control:
    - Add golang-go.yaml-yaml-v2-dev dependency
    - Add golang-go.yaml-yaml-v3-dev dependency
  * d/copyright: Update Arthur Diniz debian year to 2025

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 22 Aug 2025 13:54:26 +0100

golang-k8s-sigs-kustomize-kyaml (0.19.0+ds-1) unstable; urgency=medium

  * New upstream version 0.19.0+ds
  * d/control: Bump Standards-Version to 4.7.2, no changes
  * d/gitlab-ci.yml: Remove pipeline from go team
  * d/salsa-ci.yml: Add Salsa CI default pipeline

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 24 Mar 2025 18:04:56 +0000

=== debian/control ===
--- 
+++ 
@@ -17,14 +17,16 @@
                golang-github-stretchr-testify-dev,
                golang-github-xlab-treeprint-dev,
                golang-starlark-dev,
+               golang-gopkg-yaml.v2-dev,
+               golang-gopkg-yaml.v3-dev,
                golang-golang-x-sys-dev,
                golang-google-protobuf-dev,
                golang-k8s-kube-openapi-dev,
                golang-k8s-sigs-yaml-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-kustomize-kyaml
-Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-kustomize-kyaml.git
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-kyaml
+Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-kyaml.git
 Homepage: https://github.com/kubernetes-sigs/kustomize
 XS-Go-Import-Path: sigs.k8s.io/kustomize
 
@@ -41,6 +43,8 @@
          golang-github-stretchr-testify-dev,
          golang-github-xlab-treeprint-dev,
          golang-starlark-dev,
+         golang-gopkg-yaml.v2-dev,
+         golang-gopkg-yaml.v3-dev,
          golang-golang-x-sys-dev,
          golang-google-protobuf-dev,
          golang-k8s-kube-openapi-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DH_GOLANG_INSTALL_EXTRA := kyaml/fn/framework/example/templates/service_account.template.yaml \
								  kyaml/kio/filters/testdata2

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      repacksuffix=+ds,dversionmangle=s/\+ds//,repack,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/kubernetes-sigs/kustomize/tags .*kyaml/v?(\d\S*)\.tar\.gz debian

## golang-k8s-sigs-kustomize-kyaml 0.21.0+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-kyaml (0.21.0+ds-1) unstable; urgency=medium

  * New upstream version 0.21.0+ds

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 19 Dec 2025 01:04:46 +0000
